import * as bufferSupport from './bufferSupport/receiver';
import { StorageEngine } from './types';
export declare type AliyunCallback = bufferSupport.AliyunCallback;
export declare type IReceiveParsedPayload = bufferSupport.IReceiveParsedPayload;
export declare type IReplyPayload = bufferSupport.IReplyPayload;
export declare function initReceiver(noOSS?: boolean, ossType?: StorageEngine): {
    receive: (event: string | IReceiveParsedPayload) => Promise<any>;
    receiveManually: (event: string | IReceiveParsedPayload) => Promise<bufferSupport.IReceiveResponse>;
    reply: bufferSupport.replyFunc;
};
